LibrarySetup

## Functions

struct nflog_handle * | nflog_open (void)
int | nflog_close (struct nflog_handle *h)
int | nflog_bind_pf (struct nflog_handle *h, uint16_t pf)
int | nflog_unbind_pf (struct nflog_handle *h, uint16_t pf)

## Detailed Description

When the program has finished with libnetfilter_log, it has to call the nflog_close() function to release all associated resources.

## Function Documentation

## nflog_bind_pf()

int nflog_bind_pf | ( | struct nflog_handle * | h,
|  | uint16_t | pf )

nflog_bind_pf - bind a nflog handler to a given protocol family

Parameters

  h | Netfilter log handle obtained via call to nflog_open()
  pf | protocol family to bind to nflog handler obtained from nflog_open()

Binds the given log connection handle to process packets belonging to the given protocol family (ie. PF_INET, PF_INET6, etc).

Returns
  0 on success, -1 on failure with errno set.

Errors
  EOPNOTSUPP Not running as root

Definition at line 420 of file libnetfilter_log.c.

## nflog_close()

int nflog_close | ( | struct nflog_handle * | h | ) |

nflog_close - close a nflog handler

Parameters

  h | Netfilter log handle obtained via call to nflog_open()

This function closes the nflog handler and free associated resources.

Returns
  0 on success, -1 on failure with errno set.

Errors
  as for close(2)

Definition at line 401 of file libnetfilter_log.c.

## nflog_open()

struct nflog_handle * nflog_open | ( | void |  | ) |

nflog_open - open a nflog handler

This function obtains a netfilter log connection handle. When you are finished with the handle returned by this function, you should destroy it by calling nflog_close(). A new netlink connection is obtained internally and associated with the log connection handle returned.

Returns
  a pointer to a new log handle or NULL on failure with errno set.

Errors
  from underlying calls, in exceptional circumstances

Definition at line 304 of file libnetfilter_log.c.

## nflog_unbind_pf()

int nflog_unbind_pf | ( | struct nflog_handle * | h,
|  | uint16_t | pf )

nflog_unbind_pf - unbind nflog handler from a protocol family

Parameters

  h | Netfilter log handle obtained via call to nflog_open()
  pf | protocol family to unbind family from

Unbinds the given nflog handle from processing packets belonging to the given protocol family.

Returns
  0 on success, -1 on failure with errno set.

Errors
  EOPNOTSUPP Not running as root

Definition at line 437 of file libnetfilter_log.c.